Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.objexcel.gui
Class ObjexcelTableCellRenderer

    java.lang.Object
      |
      +--com.objexcel.gui.ObjexcelTableCellRenderer

public final class ObjexcelTableCellRenderer
extends java.lang.Object
implements javax.swing.table.TableCellRenderer

supports rendering of dates, integers, ircolortext and progress bars

Inner Class Summary
`static class` | `ObjexcelTableCellRenderer.IRCColorString` IRCColorString supports rendering or IRC color text.

Field Summary
`static int` | `LABEL` this type renders labels
`static javax.swing.border.Border` | `NOFOCUSBORDER`
`static int` | `PROGRESSBAR` this type renders progress bars

Method Summary
`static ObjexcelTableCellRenderer` | `getInstance(int type)` use this singleton method so we can share the renderer between tables.
`java.awt.Component` | `getTableCellRendererComponent(javax.swing.JTable table, java.lang.Object value, boolean isSelected, boolean hasFocus, int row, int column)`
`void` | `setBackground(java.awt.Color c)`
`void` | `setForeground(java.awt.Color c)`
`void` | `updateUI()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NOFOCUSBORDER

    public static final javax.swing.border.Border NOFOCUSBORDER

### PROGRESSBAR

    public static int PROGRESSBAR

  this type renders progress bars

### LABEL

    public static int LABEL

  this type renders labels

Method Detail

### getInstance

    public static ObjexcelTableCellRenderer getInstance(int type)

  use this singleton method so we can share the renderer between tables.

### setForeground

    public void setForeground(java.awt.Color c)

### setBackground

    public void setBackground(java.awt.Color c)

### updateUI

    public void updateUI()

### getTableCellRendererComponent

    public java.awt.Component getTableCellRendererComponent(javax.swing.JTable table,
                                                            java.lang.Object value,
                                                            boolean isSelected,
                                                            boolean hasFocus,
                                                            int row,
                                                            int column)

  Specified by:
    getTableCellRendererComponent in interface javax.swing.table.TableCellRenderer

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD